/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>
#include "tft.h"

int main()
{
    CyGlobalIntEnable;                  // Enable global interrupts
    SPIM_1_Start();                     // initialize SPIM component
    
    tftStart();                         // initialize the TFT display
    uint16 SC = 20;                     // define a 10x10 square with the top left corner located at pixel (10, 50)
    uint16 EC = 29;
    uint16 SP = 50;
    uint16 EP = 59;
    write8_a0(0x2A);                 	// send Column Address Set command
    write8_a1(SC >> 8);                 // set SC[15:0]
    write8_a1(SC & 0x00FF);
    write8_a1(EC >> 8);                 // set EC[15:0]
    write8_a1(EC & 0x00FF);
    write8_a0(0x2B);                 	// send Page Address Set command
    write8_a1(SP >> 8);                 // set SP[15:0]
    write8_a1(SP & 0x00FF);
    write8_a1(EP >> 8);                 // set EP[15:0]
    write8_a1(EP & 0x00FF);
    write8_a0(0x2C);                    // send Memory Write command
    int i;
    for (i=0; i<100; i++)               // fill the square with the color orange
	{
		write8_a1(0xFF); 			    // 0xFF0F is the color orange
		write8_a1(0x0F); 
	}
    write8_a0(0x00);                    // send NOP command to end writing process

    for(;;) {}                          // loop

}

/* [] END OF FILE */

